# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Algorithm-CurveFit
Version:        1.05
Release:        alt1_8
Summary:        Nonlinear Least Squares Curve Fitting
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Algorithm-CurveFit/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/Algorithm-CurveFit-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Math/MatrixReal.pm)
BuildRequires:  perl(Math/Symbolic.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Math/Symbolic.pm) >= 0.128
Source44: import.info

%description
Algorithm::CurveFit implements a nonlinear least squares curve fitting
algorithm. That means, it fits a curve of known form (sine-like,
exponential, polynomial of degree n, etc.) to a given set of data points.

%prep
%setup -q -n Algorithm-CurveFit-%{version}
chmod a-x lib/Algorithm/CurveFit.pm

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_7
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_5
- fc import

